# Class MMConstraint

java.lang.Object
org.jmol.minimize.MMConstraint

public class MMConstraint extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`indexes`
`int[]`
`minList`
`int`
`nAtoms`
`int`
`type`
`static final int`
`TYPE_ANGLE`
`static final int`
`TYPE_DIHEDRAL`
`static final int`
`TYPE_DISTANCE`
`double`
`value`

## Constructor Summary

Constructors
Constructor
Description
`MMConstraint(int[] indexes, double value)`

## Method Summary

Modifier and Type
Method
Description
`void`
`set(int steps, BS bsAtoms, int[] atomMap)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_DISTANCE

public static final int TYPE_DISTANCE

See Also:
  - Constant Field Values

### TYPE_ANGLE

public static final int TYPE_ANGLE

See Also:
  - Constant Field Values

### TYPE_DIHEDRAL

public static final int TYPE_DIHEDRAL

See Also:
  - Constant Field Values

### indexes

public int[] indexes

### value

public double value

### type

public int type

### minList

public int[] minList

### nAtoms

public int nAtoms

## Constructor Details

### MMConstraint

public MMConstraint(int[] indexes, double value)

## Method Details

### set

public void set(int steps, BS bsAtoms, int[] atomMap)